Bug 509031 - KMS:R480 QM:Radeon X850XT Platinum wobbly image at all resolutions
KMS:R480 QM:Radeon X850XT Platinum wobbly image at all resolutions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
: Triaged
: 575911 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 18:52 EDT by Tethys
Modified: 2010-12-05 01:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:45:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.04 KB, text/plain)
2009-07-06 17:23 EDT, Tethys
no flags Details
dmesg (34.13 KB, text/plain)
2009-07-06 17:24 EDT, Tethys
no flags Details
Xorg.0.log (89.20 KB, text/plain)
2009-07-06 17:26 EDT, Tethys
no flags Details
Xorg.1.log (38.31 KB, text/plain)
2009-07-06 17:26 EDT, Tethys
no flags Details
Xorg.2.log (38.31 KB, text/plain)
2009-07-06 17:27 EDT, Tethys
no flags Details
Xorg.3.log (38.76 KB, text/plain)
2009-07-06 17:27 EDT, Tethys
no flags Details
Xorg.4.log (38.62 KB, text/plain)
2009-07-06 17:27 EDT, Tethys
no flags Details
Xorg.5.log (38.31 KB, text/plain)
2009-07-06 17:28 EDT, Tethys
no flags Details
xorg.conf.fc6 (733 bytes, text/plain)
2009-07-06 17:39 EDT, Tethys
no flags Details
Xorg.0.log, drm.debug=15 (111.40 KB, text/plain)
2010-03-15 20:44 EDT, Tethys
no flags Details
Output of dmesg, drm.debug=15 (122.81 KB, text/plain)
2010-03-15 20:45 EDT, Tethys
no flags Details
Contents of /var/log/dmesg, drm.debug=15 (63.40 KB, text/plain)
2010-03-15 20:45 EDT, Tethys
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 27644 None None None Never

  None (edit)
Description Tethys 2009-06-30 18:52:24 EDT
Description of problem:
I upgraded from Fedora Core 6 to F11. The display now wobbles,
where previously it was rock solid. This is true no matter
which resolution I'm using. It is sufficiently bad that it
makes the machine unusable.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Boot F11
2. Try to focus on constantly moving screen
3. Give up and reboot back into FC6, with a stable display
  
Actual results:
Wobbly display

Expected results:
Stable display

Additional info:
It does the same whether you're in X11 or at the console, which
leads me to think it's framebuffer related.

It's going through an AdderTec KVM, but that's not the cause of
the problem, given that exactly the same hardware works without
problems under FC6. Fortunately, I left the old install there,
so I can dual boot into either F11 or FC6.

leto:~% /sbin/lspci | grep PCIE
01:00.0 VGA compatible controller: ATI Technologies Inc R480 [Radeon X850XT Platinum (PCIE)]
01:00.1 Display controller: ATI Technologies Inc R480 [Radeon X850XT Platinum (PCIE)] (Secondary)
Comment 1 Matěj Cepl 2009-07-06 02:59:24 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Tethys 2009-07-06 17:23:31 EDT
Created attachment 350687 [details]
xorg.conf
Comment 3 Tethys 2009-07-06 17:24:26 EDT
Created attachment 350688 [details]
dmesg
Comment 4 Tethys 2009-07-06 17:26:04 EDT
Created attachment 350689 [details]
Xorg.0.log
Comment 5 Tethys 2009-07-06 17:26:30 EDT
Created attachment 350690 [details]
Xorg.1.log
Comment 6 Tethys 2009-07-06 17:27:01 EDT
Created attachment 350691 [details]
Xorg.2.log
Comment 7 Tethys 2009-07-06 17:27:29 EDT
Created attachment 350692 [details]
Xorg.3.log
Comment 8 Tethys 2009-07-06 17:27:51 EDT
Created attachment 350693 [details]
Xorg.4.log
Comment 9 Tethys 2009-07-06 17:28:21 EDT
Created attachment 350694 [details]
Xorg.5.log
Comment 10 Tethys 2009-07-06 17:39:02 EDT
Created attachment 350695 [details]
xorg.conf.fc6

This is the xorg.conf file from my FC6 installation. It works perfectly
when booted into FC6, but when booted into F11, I get the wobbly screen.
In that respect it's no different to the natively generated xorg.conf
from F11.
Comment 11 Tethys 2009-07-13 18:47:10 EDT
Booting with "nomodeset" seem to cure the problem. It's not an ideal
solution, and when changing resolution, the screen flickers far more
than it used to in previous versions of Fedora. But at least the
wobble has gone.
Comment 12 Matěj Cepl 2009-07-13 18:48:25 EDT
OK, and could you please try to run X without any /etc/X11/xorg.conf ... just remove it somewhere else and restart X. What's happening?
Comment 13 Tethys 2009-07-14 03:44:14 EDT
xorg.conf, KMS -> 1600x1200, wobbly
xorg.conf, nomodeset -> 1600x1200, stable
No xorg.conf, KMS -> 1600x1200, wobbly
No xorg.conf, nomodeset -> 1280x1024, stable

The last one that defaults to a lower resolution does resize to
1600x1200 using xrandr without problems, and remains stable.
Comment 14 Jérôme Glisse 2009-10-15 10:56:36 EDT
Do you still have this issue with fedora 12 (you can test livecd from http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/) ? It should be fixed as we ported the bandwidth computation from the ddx (nomodeset) to the kernel radeon driver (KMS).
Comment 15 Matěj Cepl 2009-11-05 13:33:30 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 16 Tethys 2009-11-13 15:44:57 EST
Yes, this is still a problem with the F12 beta live CD. Again, adding
nomodeset to the boot parameters fixes it.
Comment 17 Tethys 2009-11-30 06:35:21 EST
And still a problem with an up to date full F12, too.
Comment 18 Jérôme Glisse 2010-03-11 10:08:10 EST
Do you still have this issue with lastest F12 bits ? If so please attach dmesg + Xorg log when booting with KMS enabled and with drm.debug=15
Comment 19 Tethys 2010-03-15 20:43:26 EDT
Yes, it still does it with an up to date F12 and also with F13-Alpha.
Comment 20 Tethys 2010-03-15 20:44:33 EDT
Created attachment 400343 [details]
Xorg.0.log, drm.debug=15
Comment 21 Tethys 2010-03-15 20:45:09 EDT
Created attachment 400344 [details]
Output of dmesg, drm.debug=15
Comment 22 Tethys 2010-03-15 20:45:42 EDT
Created attachment 400345 [details]
Contents of /var/log/dmesg, drm.debug=15
Comment 23 Matěj Cepl 2010-03-30 11:49:27 EDT
*** Bug 575911 has been marked as a duplicate of this bug. ***
Comment 24 Simon Ouellet 2010-03-31 15:57:45 EDT
I have this problem with kernel 2.6.32 in f12 f13 alpha
ok with using 2.6.31 or nomodeset
Comment 25 Benjamin Smith 2010-04-21 12:27:36 EDT
When I use kernel 2.6.32: with a second (VGA) display on my dell Inspiron E1505 with a ATI Radeon video card and Fedora 12, I have a wobbly secondary display and the primary display repeatedly flickers and fades, like a "bad signal" in a cheesy Hollywood space movie. The secondary display is wobbly during the boot sequence as well as under X11. When I specify nomodeset on the kernel boot line, the boot sequence displays only on the primary (laptop) display but then X11 works fine at full resolution.

Kernel 2.6.31: None of these problems are manifest. 

I would be happy to try out fixes other than nomodeset - just email me!
Comment 26 Simon Ouellet 2010-04-21 14:11:50 EDT
hi,
i think this is a x1400 bug
i have a thinkpad t60 with radeon x1400 (do you?)
See the bug @ freedesktop.org
https://bugs.freedesktop.org/show_bug.cgi?id=27323
Comment 27 Simon Ouellet 2010-04-21 14:17:18 EDT
sorry i posted the wrong freedesktop bug...
here is the good one :

https://bugs.freedesktop.org/show_bug.cgi?id=27644
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/562138
Comment 28 Benjamin Smith 2010-04-21 15:09:56 EDT
Simon: My system is a Dell Inspiron E1505 (as I stated) with an ATI Mobility X1400 video card. I can't confirm if this is the same as the freedesktop bug links you mentioned, since I'm not using Ubuntu. =/ 

I'm pretty sure this is a kernel bug, since the wobbling on the external monitor happens even when X isn't running, and running the earlier kernel fixes.
Comment 29 Tethys 2010-04-21 15:22:12 EDT
I don't have a Mobility X1400. Mine's a Radeon X850XT Platinum.

I too see the wobbly image both in and outside X. This is on a desktop
machine, so it's not limited to external monitors on a laptop.
Comment 30 Vedran Miletić 2010-05-24 15:15:22 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 31 Bug Zapper 2010-11-04 06:53:39 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Bug Zapper 2010-12-05 01:45:54 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.